{% extends 'base.html.twig' %}

{% block title %}Modifier Travaux{% endblock %}

{% block body %}
    <h2 class="text-center">Modifier Travaux<img src="/images/travaux.png" class="icone ml-2 mb-2" alt="icone"/></h2>

    {{ include('object/form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('works_index', {'referenceId': reference.id}) }}">◄ Revenir à la liste</a>

    {{ include('object/delete.html.twig') }}
    
{% endblock %}

{% block javascripts %}
<script type="text/javascript">
  let collectionHolder;
  let addWorkButton = $('<button type="button" class="btn btn-success font-weight-bold">+</button>');
  let newLinkLi = $('<div class="add_work"></div>').append(addWorkButton);

  jQuery(document).ready(function () {
    collectionHolder = $('#work-has-building');
    collectionHolder.append(newLinkLi);
    collectionHolder.data('index', collectionHolder.find(':input').length);

    addWorkButton.click(function (e) {
      addWorkForm(collectionHolder, newLinkLi);
    });

    collectionHolder.find('.panel').each(function () {
      addRemoveButton($(this));
    });

  });

  function addWorkForm(collectionHolder, newLinkLi) {
    let prototype = collectionHolder.data('prototype');
    let index = collectionHolder.data('index');
    let newForm = prototype;
    newForm = newForm.replace(/__name__/g, index);
    collectionHolder.data('index', index + 1);

    let panel = $('<li class="panel"></li>').append(newForm);
    addRemoveButton(panel);
    newLinkLi.before(panel);
  }

  function addRemoveButton(panel) {
    let removeButton = $('<button type="button" class="btn btn-danger font-weight-bold">-</button>');
    let container = $('<div class=remove-work></div>')
    container.append(removeButton);
    removeButton.click(function (e) {
      $(e.target).parents('.panel').slideUp(1000, function () {
        $(this).remove();
      });
    });

    panel.append(container);
  }
</script>

{% endblock %}
